define(function (require, exports, module) {

    var sSlidePage = $('.js_slidePage');    //滑动的盒子
    var sSlideNav = $('.js_sildeNav');      //分页器
    var sStartupPage = $('.js_startupPage');    //第一页\
    var sAnimation = $('.js_animation');       //各个动画的对象
    var sCloseBg = $('.js_closeBg');        //第四个动画页的的遮罩层
    var sCloseBtn = $('.js_closeBtn');          //跳过按钮
//    var sEnterIndex = $('.js_enterIndex');
    var sPageBgImg = $('.js_pageBgImg');

    module.exports = {
        init: function (data, name) {
            startupObj.startSwiper();
        }
    }

//    sEnterIndex[0].on('click',function(){
//         webAnd.toMainAcivity();
//    })
//    sCloseBtn[0].on('click',function(){
//        webAnd.toMainAcivity();
//    })

    var startupObj = {
        mySwiper: '',
        hideAnimateObj: function () {
            sAnimation.hide();
        },
        startSwiper: function () {

            var that = this
            that.mySwiper = sSlidePage.swiper({
                pagination: sSlideNav[0],
                // freeMode: true,
                observe: true,
                observeParents: true,
                autoplay: 4000,
                autoplayStopOnLast: true,  //自动播一次就关闭
                touchAngle: 20,
                paginationClickable: true,
                onInit: function (swiper) {
                    var index = swiper.activeIndex;
                    startupObj.hideAnimateObj();
                    sStartupPage.eq(index).addClass('startupActive');
                    sStartupPage.eq(index).find('.js_animation').show();
                    sCloseBtn.hide();
                    sPageBgImg.hide();
                },
                paginationBulletRender: function (swipe, index, className) {
                    return '<span class="' + className + '"></span>';
                },
                onSlideChangeStart: function (swiper) {
                    startupObj.hideAnimateObj();
                },
                onSlideChangeEnd: function (swiper) {
                    var index = swiper.activeIndex;
                    sCloseBtn.show();

                    if ( index == 3 ) {
                        sCloseBg.hide();
                        sPageBgImg.show();
                    } else {
                        sCloseBg.show();
                        sPageBgImg.hide();
                    }
                    sStartupPage.removeClass('startupActive').eq(index).addClass('startupActive');
                    startupObj.hideAnimateObj();
                    sStartupPage.eq(swiper.activeIndex).find('.js_animation').show();

                }
            })
        }
    }
})